Subject: Re: bug#496: Has speech-dispatcher been forked?

From: Gregory Nowak <[email-masked]>
Date: Wed, 28 Apr 2021 17:55:52 -0700

Hello.

On Wed, Apr 28, 2021 at 10:26:58AM +0200, Arne Wichmann wrote:
> begin  quotation  from Gregory Nowak (in <[email-masked]>):
> > 3. Don't fork speech-dispatcher, close this bug, and leave users who
> >    do a new install with speech at the text console, but not in the
> >    GUI by default until they manually resolve the situation. Last time
> >    I checked, the situation in debian was opposite, fresh installs
> >    have speech at the GUI, but not at the text console.
> >
> This feels like a good solution to me. As far as I can see text-based
> interfaces are easier for vision-impaired people. But I am no expert on
> this.

No, not necessarily. There are plenty of people who prefer to arrow and
tab through an interface, rather than typing commands.

Also, I'm starting to get confused myself, so let me clarify the
situation. If pulseaudio is running as is the case in debian, or if
debian-pulseaudio-config-override is installed in devuan, users will
have speech at the GUI, but not at the text console. If
debian-pulseaudio-config-override isn't installed, and pulseaudio
isn't running in devuan, users will have speech at the text console,
but not at the GUI.

> I would further propose to open a bug at the installer to address the point
> you just made.

I'm not sure I follow. Yes, we can modify the installer so that if an
accessible install is chosen by typing s at the boot prompt, the
debian-pulseaudio-config-override package will not be installed when
installing a desktop environment. However, this would still require
forking speech-dispatcher to give users speech at the text and GUI
consoles out of the box after a fresh install.

Greg

-- 
web site: http://www.gregn.net
gpg public key: http://www.gregn.net/pubkey.asc
skype: gregn1
(authorization required, add me to your contacts list first)
If we haven't been in touch before, e-mail me before adding me to your contacts.

--
Free domains: http://www.eu.org/ or mail [email-masked]